PlanewardPlaneward Docs
PlanewardPlaneward Docs
Welcome

Developers

REST APIAuthenticationWebhooksMCPEmbedded projectsTask description contentDeveloper hub

API

List invoices GETCreate an invoice POSTGet an invoice GETUpdate a draft invoice PATCHDelete a draft invoice DELETEFinalize an invoice POSTMark an invoice paid POST
Invoices

List invoices

GET
/invoices

Authorization

x-api-key<token>

In: header

Query Parameters

limit?integer
Rangevalue <= 100
Default50
offset?integer
Range0 <= value
Default0

Response Body

application/json

curl -X GET "https://example.com/invoices"
{  "data": [    {      "id": "string",      "invoiceNumber": "string",      "title": "string",      "memo": "string",      "amount": 0,      "currency": "string",      "status": "draft",      "issuedAt": "2019-08-24T14:15:22Z",      "dueAt": "2019-08-24T14:15:22Z",      "paidAt": "2019-08-24T14:15:22Z",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "customer": {        "id": "string",        "name": "string",        "email": "string",        "imageObjectKey": "string"      },      "items": [        {          "id": "string",          "name": "string",          "description": "string",          "quantity": 0,          "unitPrice": 0        }      ],      "taxes": [        {          "id": "string",          "name": "string",          "percentage": 0        }      ]    }  ],  "meta": {    "total": 0,    "limit": 0,    "offset": 0  }}

Move an opportunity POST

A LOST stage needs closeReason. A nurture stage (isNurture) needs nurtureReason. Leaving a nurture stage (including Won, Lost, and other OPEN stages) clears nurtureReason. Moving to an OPEN stage also clears closeReason and closedAt.

Create an invoice POST

Next Page